Subject: bug#59120: 29.0.50; [package-vc] Nowhere to find package-vc-archive-spec-alist

From: Yuan Fu <[email-masked]>
Date: Tue, 15 Nov 2022 10:29:47 -0800

> On Nov 14, 2022, at 3:28 AM, Philip Kaludercic <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> I’m happily trying out package-vc and hoping it can replace 
>> my home-brew install-from-source package!
>> The docstring of package-vc-selected-packages mentions
>> package-vc-archive-spec-alist but I can’t seem to find it anywhere.
> 
> I have been preparing a few changes on scratch/package-vc-fixes, I
> believe that the issues you mention have been resolved there.

Great!

> 
>> More over, it would be nice if the documentation of package-vc-install
>> (docstring or manual) can explain how do I specify the branch when
>> Using package-vc-install. From what I can see you can only specify the url
>> and revision.
> 
> There is no explicit way to do this right now, besides switching to a
> different branch after checking out the repository.
> 
> The only other thing you can do is provide a package specification, as
> documented in `package-vc-selected-packages'.  That has a :branch
> property.

I wonder if I can define my own package archive, so that I can control everything easily, without setting up a full-blown archive with tarballs and a server. Because I’m not going to download any tarballs from the archive, and will only use package-vc-install on this personal archive. IOW a package archive that only provide package specs. Is that possible?

> 
> Yuan Fu <[email-masked]> writes:
> 
>> CC Phillip since he probably didn’t see this.
> 
> You are right, sorry about that.

No worries, I should’ve CC you from the very beginning :-)

Yuan